Create cardCopy Pagepost https://api.privacy.com/v1/cardsCreate a new virtual card.Body Paramsexp_monthstringlength between 2 and 2Two digit (MM) expiry month. If neither exp_month nor exp_year is provided, an expiration date will be generated.exp_yearstringlength between 4 and 4Four digit (yyyy) expiry year. If neither exp_month nor exp_year is provided, an expiration date will be generated.funding_tokenuuidThe token for the desired FundingAccount to use when making transactions with this card.memostringFriendly name to identify the card.spend_limitinteger≥ 0Amount (in cents) to limit approved authorizations. Transaction requests above the spend limit will be declined.spend_limit_durationstringenumSpend limit duration values: ANNUALLY - Card will authorize transactions up to spend limit in a calendar year. FOREVER - Card will authorize only up to spend limit for the entire lifetime of the card. MONTHLY - Card will authorize transactions up to spend limit for the trailing month. Month is calculated as this calendar date one month prior. TRANSACTION - Card will authorizate multiple transactions if each individual transaction is under the spend limit. TRANSACTIONANNUALLYFOREVERMONTHLYTRANSACTIONAllowed:ANNUALLYFOREVERMONTHLYTRANSACTIONstatestringenumCard state values: OPEN - Card will approve authorizations (if they match card and account parameters). PAUSED - Card will decline authorizations, but can be resumed at a later time. OPENOPENPAUSEDAllowed:OPENPAUSEDtypestringenumrequiredDefaults to SINGLE_USECard types: DIGITAL_WALLET - Cards that can be provisioned to a digital wallet like Google Pay or Apple Wallet. A subscription is required to create these cards. MERCHANT_LOCKED - Card is locked to first merchant that successfully authorizes the card. SINGLE_USE - Card will close shortly after the first transaction. UNLOCKED - Card will authorize at any merchant. Creating these cards requires additional privileges. DIGITAL_WALLETMERCHANT_LOCKEDSINGLE_USEUNLOCKEDAllowed:DIGITAL_WALLETMERCHANT_LOCKEDSINGLE_USEUNLOCKEDResponses 200OK 400A parameter in the query given in the request does not match the valid queries for the endpoint. 401User has not been authenticatedInvalid or missing API keyAPI key is not activeThe API key used is no longer activeCould not find API keyThe API key provided is not associated with any userPlease provide API key in Authorization headerThe Authorization header is not in the requestPlease provide API key in the form Authorization: api-key [api-key]The Authorization header is not formatted properlyInsufficient privileges. Issuing API key requiredWrite access requires an Issuing API key. Please contact [email protected]Insufficient privileges to create unlocked cards.Creating unlocked cards requires an additional privilege 422Unprocessable entity. 429Client has exceeded the number of allowed requests in a given time period. Rate limited, too many requests per secondUser has exceeded their per second rate limitRate limited, reached daily limitUser has exceeded their daily rate limitRate limited, too many keys triedOne IP has queried too many different API keysUpdated 5 months ago